<?
###Разработано в студии misoft (2018/2019).

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

#Запрос подсчета количества страниц (являеться аналогом центрального циклового запроса, за исключением параметров сортировки)
$news_page = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM news_of_the_project" ) );
$kolvo = 15;
$all = $news_page['count'];
$allpage = ceil( $all / $kolvo );
$this_page = ( isset( $_GET['page'] ) ) ? ( int ) $_GET['page'] : 1 ;
if ( $this_page < 1 ) $this_page = 1;
if ( $this_page > $allpage ) $this_page = $allpage;
$start = $this_page * $kolvo - $kolvo;
if ( $start == -$kolvo ) { $start = 1; }
?>
<div class="content_bar content_bar_fix_chain">
  <article class="postBox">
    <br><h2><a>Новости проекта</a></h2> 
  </article>
  <script type="text/javascript">
	$(document).ready(function(){
		$('.news-like-sum-title').tipTip({defaultPosition:'right'});
		$('.news-time-icon').tipTip({defaultPosition:'right'});
	});
	function likes_news(a) {
		$.post('/ajax.php?func=likes_news', {
			id:a
		}, function(data) {
			if (data == 1) {
				Page.Go('/news');
			} else {
				$('body').Qnotify({text:data, sound:'error'});
			}
		});
		return false;
	}
  </script>
  <?
    #Делаем выборку новостей с базы
	$news_open = mysql_query( "SELECT * FROM news_of_the_project ORDER BY time DESC LIMIT $start,$kolvo" );
	#Проверяем наличие новостей
	if ( mysql_num_rows( $news_open ) > 0 ) {
		#Открываем цыкл, выводим с лимитом по 10 новостей на страницу.
		while( $news_open_row = mysql_fetch_array( $news_open ) ) {
			#Формируем дату сообщения
			$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
			$mess_time = ( int ) date( 'd', $news_open_row['time'] ) . ' ' . $month[( int ) date( 'm', $news_open_row['time'] ) - 1] . ' ' . date( 'Y', $news_open_row['time'] );
			?> 
			  <div class="news-mess-block">
				<div class="news-time">
				  <div class="news-time-icon" title="Время публикации: <br><?=$mess_time?>, в <?=date( 'H:i', $news_open_row['time'] )?>">
					<div class="news-time-month"><?= $month[( int ) date( 'm', $news_open_row['time'] ) - 1] ?></div>
					<div class="news-time-date"><?= ( int ) date( 'd', $news_open_row['time'] ) ?></div>
				  </div>
				  <div class="news-like">
					<i class="fa fa-heart" aria-hidden="true" onclick="likes_news(<?=$news_open_row['id']?>); return false;" ></i>
				  </div>
				  <div class="news-like-quantity">
					<div class="news-like-sum" ><span class="news-like-sum-title" title="Количество лайков"><?=$news_open_row['likes']?></span></div>
				  </div>
				</div>
				<div class="news-mess-text">
				  <div class="news-mess-title"><?=$news_open_row['caption']?></div>
				  <?=$news_open_row['message'];
				  if($news_open_row['url_forum'] != '') { ?>
					<div class="news_forum-block">
					  <a href="<?=$news_open_row['url_forum']?>" class="news-forum-open">обсудить на форуме</a>
					</div>
				  <? } ?>
				</div>
			  </div>		
			<?
		} ?>
		<div class="news_navigation-page"><? echo navigation( 15, ( int ) $_GET['page'], $news_page['count'], 'news&p=' ); ?></div>  
		<?
	} else {
		?><div class="not-news"><i class="fa fa-newspaper-o" aria-hidden="true"></i> В данный момент новостей нет.</div><?
	}
  ?> 
  
</div>
<center><script src="//static.surfe.pro/js/net.js"></script>
<ins class="surfe-be" data-sid="230174"></ins> 
<script>(adsurfebe = window.adsurfebe || []).push({});</script></center>